"""
********
Overview
********

The ``synapseutils`` package provides both higher level beta functions as well as utilities for interacting with
`Synapse <http://www.synapse.org>`_.  The behavior of these functions are subject to change.
These functionalities include:

- :py:func:`copy_functions.copy`
- :py:func:`copy_functions.copyWiki`
- :py:func:`walk_functions.walk`
- :py:func:`sync.syncFromSynapse`
- :py:func:`sync.syncToSynapse`
- :py:func:`monitor.notifyMe`
- :py:func:`migrate_functions.index_files_for_migration`
- :py:func:`migrate_functions.migrate_indexed_files`
- :py:func:`describe_functions.describe`
"""
# flake8: noqa F401 unclear who is using these
from .copy_functions import copy, copyWiki, copyFileHandles, changeFileMetaData
from .walk_functions import walk
from .sync import syncFromSynapse, syncToSynapse, generate_sync_manifest
from .migrate_functions import index_files_for_migration, migrate_indexed_files
from .monitor import notifyMe, with_progress_bar
from .describe_functions import describe
